### Method

# Vte Terminal event_check_regex_array

since: 0.62

#### Declaration [src]

    char**
    vte_terminal_event_check_regex_array (
      VteTerminal* terminal,
      GdkEvent* event,
      VteRegex** regexes,
      gsize n_regexes,
      guint32 match_flags,
      gsize* n_matches
    )

#### Description [src]

Like vte_terminal_event_check_regex_simple(), but returns an array of strings, containing the matching text (or `NULL` if no match) corresponding to each of the regexes in `regexes`.

You must free each string and the array; but note that this is not a `NULL`-terminated string array, and so you must not use `g_strfreev()` on it.

Available since: 0.62

This method is renamed to `vte_terminal_event_check_regex_simple()` in language bindings.

#### Parameters

`event`

  Type: `GdkEvent`

  A `GdkEvent`.

  The data is owned by the caller of the method.

`regexes`

  Type: An array of `VteRegex*`

  An array of `VteRegex`.

  The length of the array is specified in the `n_regexes` argument.
  The data is owned by the caller of the method.

`n_regexes`

  Type: `gsize`

  Number of items in `regexes`.

`match_flags`

  Type: `guint32`

  PCRE2 match flags, or 0.

`n_matches`

  Type: `gsize*`

  Number of items in `matches`, which is always equal to `n_regexes`.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `utf8`

A newly allocated array of strings, or `NULL` if none of the regexes matched.

The length of the array is in the `n_matches` argument.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.